# docker-compose up --detach --build

services:
  prompt-mjpeg-streamer:
    restart: always
    network_mode: "host"
    dns:
      - 192.168.5.2
      - 1.1.1.1
      - 8.8.8.8
    build:
      context: .
      dockerfile: Dockerfile
      args:
        - APP_USER=projects
        - UID=${UID}
        - GID=${GID}
    image: prompt-mjpeg-streamer
    container_name: prompt-mjpeg-streamer
    ports:
      - "8011:8011"
    volumes:
      - "/srv/http/kam.prompt.hu/prompt_mjpeg_streamer:/app"
    stdin_open: true
    tty: true
